%define with_maven 1
Name:          ezmorph
Version:       1.0.6
Release:       %mkrel 1
Summary:       Simple java library for transforming an Object to another Object
Group:         Development/Java
License:       ASL 2.0
Url:           http://ezmorph.sourceforge.net/
# cvs -d:pserver:anonymous@ezmorph.cvs.sourceforge.net:/cvsroot/ezmorph login
# cvs -z3 -d:pserver:anonymous@ezmorph.cvs.sourceforge.net:/cvsroot/ezmorph export -r REL_1_0_6 ezmorph
Source0:       ezmorph-1.0.6-src-cvs.tar.gz
Source1:       ezmorph-1.0.6-autogeneratedfiles.tar.gz
# fix version and change mojo changes-maven-plugin with org.apache.maven.plugins maven-changes-plugin
Patch0:        ezmorph-1.0.6-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: servletapi5
%if !%with_maven
BuildRequires: ant
BuildRequires: hamcrest
%else
BuildRequires: findbugs-maven-plugin
BuildRequires: javancss-maven-plugin
BuildRequires: jdepend-maven-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-ant-plugin
%endif
Requires:      apache-commons-beanutils
Requires:      apache-commons-lang
Requires:      apache-commons-logging
Requires:      junit
Requires:      liblog4j-java

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
EZMorph is simple java library for transforming an Object
to another Object.
EZMorph's key strenghts are:
* Supports transformations for primitives and Objects
* Supports transformations for multidimensional arrays
* Supports transformations with DynaBeans
* JDK 1.3.1 compatible
* Small memory footprint (~76K)
EZMorph comes with another feature: ArrayAssertions . JUnit
3.x does not have an assertEquals() method for asserting
array equality, and JUnit 4.x has a limited one (it only
supports Object[] not primitive arrays). With ArrayAssertions
is possible to compare a boolean[] with a boolean[] or even a
Boolean[], an those arrays can be multidimensional too.

EZMorph began life as the converter package on Json-lib but
seeing that the features provided were more generic than JSON
parsing, it became a project on its own. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ezmorph
%patch0 -p0

%if !%with_maven
 tar -xf %SOURCE1
%endif

%build
%if !%with_maven
# TODO
%else
mvn-rpmbuild -e \
  ant:ant install javadoc:javadoc
%endif
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Nov 05 2011 gil <gil> 1.0.6-1.mga2
+ Revision: 163053
- imported package ezmorph

